//日期拆分YYYYMMDD------>YYYY-MM--DD
template.helper('datehg', function (str) {
	if(str.length==8){
		return dateYear = (str.substring(0,4))+'-'+(str.substring(4,6))+'-'+(str.substring(6,8));
	}
	else if(str.length==4){
		return dateYear = (str.substring(0,2))+'-'+(str.substring(2,4));
	}else{
		return str;
	}
});


var ofcode,prdtype,params;
$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"现金理财","bgColor":"589dfc"},true);

	Com.nativeGobackListener('1',nativeGoback);

	//查询现金理财持仓
	getHqlcHoldList();

	Com.gobackRefreshPage(true,getHqlcHoldList);

	/*跳转到现金理财more*/
	$(document).on('click','#goxjlc_more',function(){
		Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/financing_index/dist/pages/money_fund.html',"weburl":Com.getOrigin()+'/asset/goldsun_mlc/financing_index/dist/pages/money_fund.html'});
	});

	/*跳转到详情页面*/
	$(document).on('click','.xjlc_go',function(){
		var oftype = $(this).attr('oftype');
		var ofcode = $(this).attr('ofcode');
		if(oftype=='4'){
			prdtype='XJZL';
		}else if(oftype=='7'){
			prdtype='JTL';
			params=$(this).attr('ordersno');
		}else if(oftype=='9'){
			prdtype='XXB';
		}else if(oftype=='10'){
			prdtype='XXB2';
		}
		console.log('the url is:'+Com.getMfPrdHoldUrl(ofcode,prdtype,params));
		Com.actionLogin(function(){
			Com.newWebViewOpenPage('',{"pageUrl":Com.getMfPrdHoldUrl(ofcode,prdtype,params),"weburl":Com.getMfPrdHoldUrl(ofcode,prdtype,params)});
		},'','','2');

	});

	/*智选模块跳转到对应的详情页*/
	$(document).on('click','#goxjlcdt',function(){
		var ofcode = $(this).attr('ofcode');
		var prdtype = $(this).attr('prdtype');
		var market = $(this).attr('market');
		var ofname = $(this).attr('ofname');
		var url= Com.getMfPrdUrl(ofcode,'',prdtype);
		try{
			TalkingData.onEventWithLabel('理财-现金理财-智选理财','入口-持仓-现金理财-您可能喜欢-'+ofcode);
		}catch(err){}
		if(prdtype=='SHREPO' || prdtype=='SZREPO'){
			//逆回购产品跳转到详情
			gogznhg(ofcode,ofname,market,'9');
		}else{
			Com.newWebViewOpenPage('',{"pageUrl":url,"weburl":url});
		}
	});

	//获取运营菜单入口
	getAsInface('0','LCXJ','banner');
});

/**
 * 跳转到逆回购
 * @param fundCode  产品代码
 * @param fundName  产品名称
 * @param fundMarket 市场(这里需要注意一下，接口给的市场 1上海 0深圳；调客户端的逆回购 1深圳  2上海)
 * @param tradeType  9国债逆回购详情页  10国债逆回购交易页面
 */
function gogznhg(fundCode, fundName, fundMarket, tradeType){
	var nativeMarket='';
	if(fundMarket=='1'){
		nativeMarket='2';
	}
	else if(fundMarket=='0'){
		nativeMarket='1';
	}
	Com.getCommonLoginData(function (data) {
		/*3月3日与周崇宇沟通是5.5.0版本WebContainer/transitionFundTrade才开始支持tradeType传9和10*/
		if(!Com.comparieVersion('5.5.0', data.sysVer)){
			//5.5.0以下版本跳转
			if(tradeType=='9'){
				//逆回购详情
				Com.gotoStockInfo(fundCode, fundName, nativeMarket);
			}
			else if(tradeType=='10'){
				///逆回购交易
				Com.callNativebuyOnSiteFund(fundCode, fundName, nativeMarket,'2');
			}
		}else{
			//5.5.0及以上版本跳转
			if(tradeType=='9'){
				Com.callNativebuyOnSiteFund(fundCode,fundName,nativeMarket,tradeType);
			}else{
				Com.actionLogin(function(){
					Com.callNativebuyOnSiteFund(fundCode,fundName,nativeMarket,tradeType);
				},{},'','1');
			}
		}
	});
}

function nativeGoback(){
	Com.nativeGoback();
}

//查询现金理财列表
function getHqlcHoldList(){
	$('.hold_items ul').empty();
	Com.ajax({
		url:Com.getOrigin()+'/gsfinancing/myfinance/getCurrentAssets/1.0',
		"data":{},
        "type":"post",
        "dataType":"json",
        "success":function(d){
            if(d.result[0].code == '0'){
            	var list=d.data1;
            	if(d.data2[0].totalamts){
					var totalamts = '--';
					if(typeof d.data2[0].totalamts!='undefined' && d.data2[0].totalamts!=''){
						totalamts = d.data2[0].totalamts;
					}
            		$('.hqlc_asset').html(Com.formatNumber(totalamts));
            	}
            	if(list!=null&&list.length>0){
					$('.nodatabox').css('display','none').siblings('#xjlc_box').css('display','block');
					var ohtml1 = template('xjlcDemo',d);
					$('#xjlc_ul').html(ohtml1);
            	}else{
					$('.nodatabox').css('display','block').siblings('#xjlc_box').css('display','none');
            	}

				/*获取智选模块*/
				getZxProList(function(d_zx){
					if(typeof d_zx!='undefined'){
						if(d_zx.result[0].code == '0'){
							//默认用户持仓列表中没有跟智选推荐的一天期一样的产品
							d_zx.hasZXpro='0';
							if(d_zx.onedayinfo.length>0){
								if (d.data1.length>0){
									for(var i = 0;i<d.data1.length;i++){
										if(typeof d_zx.onedayinfo[0].stkcode!='undefined' && d_zx.onedayinfo[0].stkcode == d.data1[i].ofcode){
											//用户持仓列表中已经有推荐的产品，则推荐产品不显示
											d_zx.hasZXpro=1;
											break;
										}
									}
								}
								if(d_zx.hasZXpro!=1){
									var ohtml = template('zxtjDemo',d_zx);
									$('#zxprobox').html(ohtml);
									$('#nomorehold').css('display','block');
								}
							}else{
								$('#nomorehold').css('display','none');
							}
						}
					}
				});


        	}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                return false;
            }else{
        		Com.showNativeAlert("",d.result[0].msg,["确定"],'');
        	}
        },
        "isTradeLogin":true,
		"supportBioLogin":'2',
        "error":function(){
            Com.showNativeAlert("","网络不给力",["确定"],'');
        }
	});

}

/*$(document).on('tap','.hold_items li',function(e){
	if(e.target.className.indexOf("xjzlTip")>=0|| $(e.target).parents(".xjzlTip").size()>0) return false;
	ofcode=$(this).find('input[name="ofcode"]').val();
	var oftype=$(this).find('input[name="oftype"]').val();
	if(oftype=='4'){
		prdtype='XJZL';
		//params=$(this).find('input[name="poststr"]').val();
	}else if(oftype=='7'){
		prdtype='JTL';
		params=$(this).find('input[name="ordersno"]').val();
	}else if(oftype=='9'){
		prdtype='XXB';
		//params=$(this).find('input[name="poststr"]').val();
	}else if(oftype=='10'){
		prdtype='XXB2';
		//params=$(this).find('input[name="poststr"]').val();
	}
	console.log('the url is:'+Com.getMfPrdHoldUrl(ofcode,prdtype,params));
	Com.newWebViewOpenPage('',{"pageUrl":Com.getMfPrdHoldUrl(ofcode,prdtype,params),"weburl":Com.getMfPrdHoldUrl(ofcode,prdtype,params)});
});*/

/*$(document).on("tap",".xjzlTip",function(){
	xjzlTip();
})

function xjzlTip(){
	var maskTitle = '现金增利1号持有金额说明';
	var maskContent = '持有金额T+1日更新。\n如现金增利快速取现，或用于购买其他产品，持有金额将在T+1日更新。';
	Com.showScreenMask(maskTitle,maskContent);
}*/

//高鑫宝快取限额
template.helper('fmtkqavl', function (num) {
	var avl = '--'
	if(isNaN(num)){
		avl = '--';
	}
	if(Number(num)>=10000){
		avl = Com.numDiv(Number(num),10000)+'万';
	}
	else if(Number(num)>=1000 && Number(num)<10000){
		avl = Com.numDiv(Number(num),1000)+'千';
	}
	else{
		avl = num;
	}
	return avl;
});


